

#ifndef __FINDERSTUFF__
#define __FINDERSTUFF__

#include <Drag.h>
#include "FinderRegistry.h"


//
// PromiseHFS constants
//
#define kRealSpecItemRef		1
#define flavorTypeBlankSpec	 'Blnk'
#define flavorTypeRealSpec	 'Real'


//
// These two should be in FinderRegistry.h, but they ain't
//
#define keyLocalPositionList	'mvpl'
#define keyGlobalPositionList	'mvpg'



OSErr InitFinderAE();
Boolean HaveScriptableFinder();
Boolean FinderIsRunning();
OSErr MakeAppleEvent(AEEventClass aeClass, AEEventID aeID, 
			AEDesc *target, AppleEvent *ae);
OSErr SendAppleEvent(AppleEvent *ae, AppleEvent *reply, AESendMode sendMode);
OSErr CloneMoveDescList(AEDescList *objsToMove, FSSpecPtr nuLocation, 
			Point globalPt, Boolean replace, Boolean moveFlag);
OSErr BuildHFSDescList(DragReference theDrag, AEDescList *hfsList);
OSErr HandleDragCloneMove(DragReference theDrag);
OSErr GetDropFSSpec(DragReference theDrag, FSSpecPtr dirSpec);
OSErr GetIconSuiteFromFinder(FSSpecPtr, Handle *);
OSErr BuildIconSuiteFromAEDesc(Boolean, Handle *, AEDesc *);
OSErr MakeSpecifierForFile(FSSpecPtr hfsObj, AEDesc *fileSpecifier);
OSErr MakePropertySpecifierForSpecifier(DescType property, 
			AEDesc *ofSpecifier, AEDesc *propertySpecifier);
OSErr AddSpecToDescList(AEDescList *descList, FSSpecPtr theSpec);


void FailOSErr(OSErr err);


#endif