#   File:       FinderDragMPW.make
#   Target:     FinderDragMPW
#   Sources:    FinderDrag.c
#               FinderDrag.r
#               FinderStuff.c
#               Spaces.c
#               StringLib.c
#               :MoreFiles:MoreDesktopMgr.c
#               :MoreFiles:MoreFiles.c
#               :MoreFiles:MoreFilesExtras.c
#               :MoreFiles:Search.c
#   Created:    Tuesday, April 4, 1995 03:23:52 PM

INCLUDEPATH = -i :MoreFiles:

OBJECTS = 
		FinderDrag.c.o 
		FinderStuff.c.o 
		Spaces.c.o 
		StringLib.c.o 
		:MoreFiles:MoreDesktopMgr.c.o 
		:MoreFiles:MoreFiles.c.o 
		:MoreFiles:MoreFilesExtras.c.o 
		:MoreFiles:Search.c.o 


FinderDragMPW   FinderDragMPW.make FinderDrag.r
	Rez FinderDrag.r -append -o FinderDragMPW

FinderDragMPW  FinderDragMPW.make  {OBJECTS}
	Link -t APPL -c '????' -sym on -mf 
		{OBJECTS} 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		#"{CLibraries}"Complex.o 
		"{CLibraries}"StdClib.o 
 		"{Libraries}"AEObjectSupportLib.o 
 		"{Libraries}"Runtime.o 
 		"{Libraries}"Interface.o 
		-o FinderDragMPW

FinderDrag.c.o  FinderDragMPW.make FinderDrag.c
	 C {INCLUDEPATH} -r -sym on  FinderDrag.c

FinderStuff.c.o  FinderDragMPW.make FinderStuff.c
	 C {INCLUDEPATH} -r -sym on  FinderStuff.c

Spaces.c.o  FinderDragMPW.make Spaces.c
	 C {INCLUDEPATH} -r -sym on  Spaces.c

StringLib.c.o  FinderDragMPW.make StringLib.c
	 C {INCLUDEPATH} -r -sym on  StringLib.c

:MoreFiles:MoreDesktopMgr.c.o  FinderDragMPW.make :MoreFiles:MoreDesktopMgr.c
	 C {INCLUDEPATH} -r -sym on  :MoreFiles:MoreDesktopMgr.c

:MoreFiles:MoreFiles.c.o  FinderDragMPW.make :MoreFiles:MoreFiles.c
	 C {INCLUDEPATH} -r -sym on  :MoreFiles:MoreFiles.c

:MoreFiles:MoreFilesExtras.c.o  FinderDragMPW.make :MoreFiles:MoreFilesExtras.c
	 C {INCLUDEPATH} -r -sym on  :MoreFiles:MoreFilesExtras.c

:MoreFiles:Search.c.o  FinderDragMPW.make :MoreFiles:Search.c
	 C {INCLUDEPATH} -r -sym on  :MoreFiles:Search.c
